Category: UI Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

This adds a button to the sidebar to make it collapsible. The state is preserved between requests with a cookie.

This seems to be a feature that is missed. There's a few plugins that implement something similar. Some of them:

https://www.redmine.org/plugins/sidebar_hide

http://www.redmine.org/projects/redmine/wiki/PluginCollapse

https://github.com/thambley/redmine-sidebar-hide

And there are related issues, at least: #12032, #10525

Because of high demand from my users, I did something similar in a theme at work. This is basically that plus it's stateful now.

This patch:

Adds the relative URL root as a meta property in the head tag

Adds a simple <a> to the sidebar as collapse/expand button

Makes the .content a BFC taking the remaining width

Few lines of javascript to toggle CSS and set a cookie

Sidebar is hidden by setting its margin-right

Nice hiding animation using CSS for browsers that support it

The state of the sidebar is read from the cookie and applied on page load

Good theming support since it's mostly just CSS

Based on r15095, passes all tests with Ruby 2.1.5. Tested on FF, Chrome, Safari (+ an earlier, stateless version on IE11)

Screenshot: collapsible_sidebar.png 

Related issues:

Related to Redmine - Feature #24671: Make the header fixed New

Related to Redmine - Feature #25686: Make the issues sidebar menu use accordi... New

Related to Redmine - Feature #32520: Issues activity gnats calendar tabs - to... Closed

Has duplicate Redmine - Feature #5746: Feature Request - Allow the sidebar to... Closed 2010-06-24

Has duplicate Redmine - Feature #12032: Collapsible Sidebar Closed

Has duplicate Redmine - Feature #10525: A new button to hide/show the sidebar Closed

Associated revisions

Revision 23218 - 2024-11-07 00:08 - Marius BĂLTEANU

Makes the sidebar collapsible and stateful (#21808).

Patch inspired from user:jkraemer.

Revision 23219 - 2024-11-07 00:26 - Marius BĂLTEANU

Revert unwanted change (#21808).

Revision 23220 - 2024-11-07 08:38 - Marius BĂLTEANU

Merged r23218 and r23219 from trunk to 6.0-stable (#21808).
History

#1 - 2016-01-28 22:03 - Marius BĂLTEANU

+ 1

It works great on Redmine 3.2.0. Maybe the design is a little bit to obvious for the default Redmine theme, but overall it will be nice to have this

available along with the UI changes planned for 3.3.0.  In addition to the plugins mentioned in the description, there are also many custom themes

that implement this feature (unfortunately not so good).

#2 - 2016-01-28 23:21 - Marius BĂLTEANU

- File Screen Shot 2016-01-29 at 00.20.06.png added

I made more tests and I found the attached issue Screen Shot 2016-01-29 at 00.20.06.png

#3 - 2016-01-29 12:46 - Daniel Ritz

Marius Balteanu wrote:

I made more tests and I found the attached issue Screen Shot 2016-01-29 at 00.20.06.png

 It looks like like the <body> gets too wide for some reason. What exactly did you do to get to this state? Do you have any plugins installed that might

mess with the CSS? What browser were you using? I'll try to reproduce and fix..

#4 - 2016-01-29 18:27 - Marius BĂLTEANU

I made the tests on Redmine 3.2.0 with all the plugins removed, plugins_assets folder removed and cache cleared.

To reproduce:

1. Open the projects page

2. Hide the sidebar

3. Observe that the horizontal scroll is available

4. Scroll to right.

Tested on Windows 10 & OSX environments with latest Chrome version.

Regarding the "technical" solution, we already integrated your patch on our staging environment and we changed a little bit the way in which we hide

the sidebar in order to fix the bug. Instead of margin-right: -22% we added a margin-right: 0, width:30px (we use our own theme with a wider sidebar)

and overflow: hidden;

#5 - 2016-01-29 20:22 - Daniel Ritz

Thanks for the feedback. Found the problem..the "Redmine 3.2" is why it breaks and shows the horizontal scroll bar. I only tested it on current trunk.

To make it work in 3.2, you need this in the CSS as well:

#wrapper {

  overflow: hidden;

}

This got added in r15067 (#20632).    

margin-right:0; width:30px; will cause the sidebar to re-flow during animation and change it's layout (and it doesn't make the horizontal scroll bar

disappear for me, but then again I didn't really test on 3.2, just changed some CSS rules back and possibly missed some..)

#6 - 2016-01-30 06:33 - Go MAEDA

- Target version set to 3.3.0

Works fine for me. Thanks for this great patch. Sliding motion is pretty good.

#7 - 2016-01-30 06:33 - Go MAEDA

- Target version deleted (3.3.0)

#8 - 2016-02-09 17:27 - Martin P.

This is how i tweak Redmine to hide/show the sidebar:

I just add the following lines at the bottom of the file

./public/javascripts/application.js
var sidebarIsHidden = new Boolean(false);

function changeSidebar(){

    if(sidebarIsHidden == false){

        sidebarIsHidden = new Boolean(true);

        hideSidebar();

    } else {

        sidebarIsHidden = new Boolean(false);

        showSidebar();

    }

}

function showSidebar(){

  document.getElementById("sidebar").style.visibility = "visible";

  document.getElementById("content").style.width = "80%";

  document.getElementById("sidebarButton").value = ">";

}

function hideSidebar(){

  document.getElementById("sidebar").style.visibility = "hidden";

  document.getElementById("content").style.width = "98.5%";

  document.getElementById("sidebarButton").value = "<";

}

function myInit() {

  document.getElementById("content").style.width = "80%";

  document.getElementById("sidebar").style.width = "18%";

  var div = document.createElement('div');

    div.className = 'sidebarHideShow';

    div.id = 'sidebarHideShowButton';

    div.innerHTML = '

<input type="button" value=">" onclick="changeSidebar()" id="sidebarButton" style="position:absolute; right:1p

x; top:105px; z-index:10; width:25px;" />';

  document.getElementById('content').appendChild(div);

}

$(document).ready(myInit);

 Yes, might be a dirty hack but it works for me with the default and the classic theme.

Maybe it helps one or two of you without the need to install any plugin.

#9 - 2016-02-21 15:56 - Toshi MARUYAMA

- Related to Feature #12032: Collapsible Sidebar added

#10 - 2016-02-21 15:56 - Toshi MARUYAMA

- Related to Feature #10525: A new button to hide/show the sidebar added

#11 - 2016-04-23 18:34 - Daniel Ritz

- File 0001-Make-sidebar-collapsible-r15348.patch added

New patch, re-based on top of r15348 (didn't apply anymore).

#12 - 2016-07-12 00:09 - Marius BĂLTEANU

Go MAEDA wrote:

Works fine for me. Thanks for this great patch. Sliding motion is pretty good.

 @Go MAEDA, is there any change to have this patch prioritised in 3.4.0?

#13 - 2016-07-12 20:08 - Sebastian Paluch

+1

#14 - 2016-08-20 20:21 - Daniel Ritz

- File 0001-Make-sidebar-collapsible-r15746.patch added
#15 - 2016-08-21 17:25 - Daniel Ritz

0001-Make-sidebar-collapsible-r15746.patch applies cleanly to 3.3-stable and current trunk

#16 - 2016-08-21 23:45 - Go MAEDA

- Has duplicate Feature #5746: Feature Request - Allow the sidebar to be collapsable added

#17 - 2016-09-01 02:42 - Jens Krämer

- File 0001-make-the-sidebar-collapsible-with-per-page-state.patch added

Thanks Daniel for opening this issue and for working on your patch. Since we had implemented this feature in Planio a while ago, I thought we can

share our implementation as well which takes a slightly different approach:

We store sidebar state in localStorage, separately for each controller/action combination. We think this is reasonable because e.g. one might always

want to see the sidebar on the issues detail page, but not on the issue list. Or the other way around. The localStorage API is widely supported in

browsers nowadays. Our solution simply degrades to a non-persistent collapsible sidebar in case it isn't available - you can hide it but it will be visible

again after page reload. localStorage has the advantage of not enlarging request headers and of keeping all state on the client – since the server

does not have to know about the sidebar state at all.

From comparing both patches it looks we're a little bit less invasive in terms of CSS / DOM changes, and if no Javascript is enabled for whatever

reason, the 'hide sidebar' UI element will not be shown at all.

I hope this isn't coming too late – we should have shared our version earlier, sorry – but I'd be in favour of our patch for above reasons.

#18 - 2016-09-01 03:25 - Go MAEDA

Jens Krämer, thanks for sharing the patch. I tried out the patch and it works fine.

#19 - 2016-09-01 03:26 - Go MAEDA

- Target version set to 3.4.0

#20 - 2016-09-07 21:19 - Marius BĂLTEANU

- File after.png added

- File before.png added

Thanks for prioritising this feature in 3.4.0.

I tested now the patch uploaded by Jens Krämer and I think that it is very useful to save the sidebar state per controller/action.

Below are some points that I want to address here regarding the patch:

1. After the patch is applied, the sidebar becomes wider and also the space between the left part of the sidebar and its content (see before.png and

after.png).

2. When the sidebar is in state collapsed and you reload the page, you can observe that first the sidebar is shown as expanded (for less than 1

sec) and after that the collapse action is triggered.

3. When the page is loading, the contextual icons have a position and after the sidebar-switch-panel element is added to the DOM from JS, the

initial position changes a little bit to the left (shakes).

4. The space between contextual link (Add issue for example) and >> from sidebar-switch-panel is to small and you can easily click on the Add

issue link instead of >> if you are not too careful.

I know that points 2 and 3 are generated by the Javascript solution and they are not so big issues, but they are disturbing for the eye (from my point of

view and as QA).

Also, maybe is a good idea to make the >> element sticky in order to be able to collapse/expand the sidebar regardless your position in page (there

are often cases when you scroll down).

#21 - 2016-09-08 08:33 - Jens Krämer

Thanks for your feedback, I'll have a look at fixing these issues.

#22 - 2016-09-23 11:02 - Alexander Movchikov

Thank you for 0001-make-the-sidebar-collapsible-with-per-page-state.patch

Works in modern browser, in IE9 and up

Unfortunately my users still use IE8 and this path not works. Moreover issue filter is broken because of javascript error.

You may open internet explorer, press F12 and select IE8 comparability mode to test this.

Problem is in file public\javascripts\application.js
localStorageKey = '-' + bodyClass.split(/\s/).filter(function(s){

          return s.match(/(action|controller)-.*/);

        }).sort().join('-');

 you have to change

bodyClass.split(/\s+/)

to

$(bodyClass.split(/\s+/))

and still could not solve problem with

s.match(/(action|controller)-.*/);

This is a snippet for debugging

https://jsfiddle.net/movcale/xbkgw8wf/1/

#23 - 2016-09-23 16:25 - Alexander Movchikov

My workaround for IE8, of course it can be optimized

      if(bodyClass){

//        localStorageKey += '-' + bodyClass.split(/\s+/).filter(function(s){

//          return s.match(/(action|controller)-.*/);

//        }).sort().join('-');

          var allItems  = bodyClass.split(/\s+/);

          var filterItems  = [];

          for(i in allItems){

              if(allItems[i].indexOf("action-") > -1 || allItems[i].indexOf("controller-") > -1){

                  filterItems.push(allItems[i]);

              }

          }

          for(i in filterItems.sort()){

              localStorageKey += filterItems[i] + "-";

          }

          localStorageKey = localStorageKey.substring(0, localStorageKey.length -1);

      }

#24 - 2016-10-09 07:05 - Go MAEDA

Alexander Movchikov wrote:

Unfortunately my users still use IE8 and this path not works. Moreover issue filter is broken because of javascript error.

 Since support for IE8 has been discontinued by Microsoft on January 12, 2016.

https://www.microsoft.com/en-us/WindowsForBusiness/End-of-IE-support

Does Readmine really have to support IE8?

#25 - 2016-10-10 10:42 - Jean-Philippe Lang

When the sidebar is in state collapsed and you reload the page, you can observe that first the sidebar is shown as expanded (for less than 1

sec) and after that the collapse action is triggered.

 I'm experiencing this issue with Chrome (not with Firefox or IE). This is really annoying, is there anything we can do to prevent this?

#26 - 2016-10-10 13:44 - Jan from Planio www.plan.io

Jean-Philippe Lang wrote:

When the sidebar is in state collapsed and you reload the page, you can observe that first the sidebar is shown as expanded (for less than

1 sec) and after that the collapse action is triggered.

 I'm experiencing this issue with Chrome (not with Firefox or IE). This is really annoying, is there anything we can do to prevent this?

 We had this bug in Planio as well and it was fixed, so I assume the bugfix just didn't carry over in Jens' patch. We will have a look.

#27 - 2016-10-11 06:14 - Jens Krämer

- File 0001-make-the-sidebar-collapsible-with-per-page-state.patch added
Sorry for the delay. I uploaded an updated version of the patch that should address the issues raised in comment 20.

I don't have IE8 handy but now the code should fall back to a shared global persistent state on this browser instead yielding a JS error. I'm reluctant to

add any more than this simple fallback for this ancient browser.

#28 - 2016-10-11 11:10 - Marius BĂLTEANU

Jens Krämer wrote:

Sorry for the delay. I uploaded an updated version of the patch that should address the issues raised in comment 20.

I don't have IE8 handy but now the code should fall back to a shared global persistent state on this browser instead yielding a JS error. I'm

reluctant to add any more than this simple fallback for this ancient browser.

 Hi Jens,

Thanks for the new version of the patch. I tested it now and it works very well.

#29 - 2016-12-21 11:11 - Jean-Philippe Lang

- Status changed from New to Needs feedback

- Target version deleted (3.4.0)

I'd prefer not to add this to the core. I find it awkward to toggle some part of the UI. If there are some views where the sidebar content does not need

to be always visible, then we should use something else, like a dropdown.

For example on the issue list, we could move the list of queries to a drop down list in order to remove the sidebar and save the space for the content.

#30 - 2016-12-21 21:40 - Sebastian Paluch

Collapse-able sidebar (as plugin) is extremely useful stuff on all kind of views, not only issues but also many others delivered by plugins.

Sidebar is there, and most likely will be there for very, very, very long time. Until it is gone, having this patch in core would be great improvement.

#31 - 2016-12-22 01:39 - Go MAEDA

Could you please reconsider adding this feature? The plugin "Hide Sidebar" is second most popular in http://www.redmine.org/plugins and so many

people longing for this feature (please see comments and watchers of #21808, #12032, #10525 and #5746).

I'd prefer not to add this to the core. I find it awkward to toggle some part of the UI.

 I don't think it is awkward. Toggling sidebar is very common (Google Maps, right sidebar in Slack, and so on). And there are no negative effect on

those who don't want to hide sidebar.

#32 - 2016-12-22 08:19 - pasquale [:dedalus]

Go MAEDA wrote:

I don't think it is awkward. Toggling sidebar is very common (Google Maps, right sidebar in Slack, and so on).

And there are no negative effect on those who don't want to hide sidebar.

 +1

#33 - 2016-12-22 09:49 - Marius BĂLTEANU

I really think that adding this patch to the core will be a great UI improvement. In addition to Sebastian Paluch and Go Maeda notes, many maintained

themes (eg: Abacus, Circle, Purple Mine2, Alex Skin) implement this feature (but without storing the sidebar state which is very cool) and we do also

in our custom theme.

I'd prefer not to add this to the core. I find it awkward to toggle some part of the UI.

 If you still consider awkward, what about adding this to the core but with the toggle button hidden in the default themes? In this way, each Redmine

instance administrator can decide from their theme to enable/disable the feature.

For example on the issue list, we could move the list of queries to a drop down list in order to remove the sidebar and save the space for the

content.

 Indeed, the custom queries can be moved from the sidebar in other place (above or under the filters for example), but I don't think that the dropdown

is the best solution because it requires two clicks each time when you want to use a custom query. But this is another discussion.
#34 - 2016-12-22 14:17 - Robert Schneider

I find it also not perfect to have the collapsible sidebar. Okay, it's better than having a fixed bar. IMHO the hover effect would be more suitable for

such things.

I've just created another feature request #24671 which might bring the issue into another direction. If we would have an always visible header the

sidebar entries could be moved to the navigation/menu.

What do you think about this idea?

#35 - 2016-12-25 05:34 - Anonymous

※Comment for the first time. I'm studying English. So please be patient if I make some mistakes.

A) Users who want to hide sidebar.

The main content area can be expanded.

B) Users who don't want to hide sidebar.

They have no negative effect. Because it is the same as before.

C = A & B) Users who want to show or hide the sidebar, It's me!

The sidebar content may not need to be always visible, but may need to be always visible.

I hope it to be able to choose either, depending on the situation.

I believe that collapsible sidebar is choosable for user.

Thank you for Redmine.

#36 - 2016-12-28 14:59 - Akipii Oga

+1

#37 - 2017-01-10 01:15 - Go MAEDA

- Target version set to Candidate for next major release

As we can see in the comments of #5746, #10525, #12032 and this issue, many users looking forward to this feature.

I am setting target version again, to "Candidate for next major release".

Jean-Phillipe, could you please consider again? As I wrote on #21808#note-31, there are no negative effect on those who don't want to hide sidebar.

#38 - 2017-01-10 10:17 - Robert Schneider

Has anyone considered mobile presentation? How should it look like and how should it behave?

#39 - 2017-01-10 10:29 - Jan from Planio www.plan.io

Robert Schneider wrote:

Has anyone considered mobile presentation? How should it look like and how should it behave?

 Yes of course. On mobile, the sidebar is always hidden by default to save space. The sidebar can be expanded by clicking on the ≡ icon.

#40 - 2017-01-10 10:39 - Robert Schneider

Thank you for clarification, Jan!

#41 - 2017-01-17 13:06 - Toshi MARUYAMA

- Related to Feature #24671: Make the header fixed added

#42 - 2017-05-13 18:08 - Hirokazu Onozato

+1

#43 - 2017-05-24 05:36 - Toshi MARUYAMA

- Related to Feature #25686: Make the issues sidebar menu use accordion with JQuery added

#44 - 2018-03-14 10:14 - Bernhard Rohloff

+1

2025-05-01 7/11

https://www.redmine.org/issues/24671
https://www.redmine.org/issues/5746
https://www.redmine.org/issues/10525
https://www.redmine.org/issues/12032
https://www.redmine.org/issues/21808#note-31


#45 - 2019-03-29 08:32 - Edgars Batna

This would be great. 99% of the time noone uses the sidebar here. This means that most of the time it's a waste of space.

Designs should steer away from such layouts with bars that are infinite, yet contain a tiny amount of information.

#46 - 2019-09-09 22:21 - Marius BĂLTEANU

- Related to deleted (Feature #12032: Collapsible Sidebar)

#47 - 2019-09-09 22:22 - Marius BĂLTEANU

- Has duplicate Feature #12032: Collapsible Sidebar added

#48 - 2019-09-09 22:22 - Marius BĂLTEANU

- Related to deleted (Feature #10525: A new button to hide/show the sidebar)

#49 - 2019-09-09 22:22 - Marius BĂLTEANU

- Has duplicate Feature #10525: A new button to hide/show the sidebar added

#50 - 2019-09-09 22:31 - Marius BĂLTEANU

- File 0001-Collapsible-sidebar-with-expand-on-hover.patch added

- File expended_on_hover.png added

- File expended.png added

- File collapsed.png added

I've reworked a little bit the patch posted by Jens Krämer in order to show 20px from the sidebar in state collapsed and to expand the sidebar on

hover. The patch is not ready, it is only for demo purposes.

1. State collapsed:

 collapsed.png 

2. State expended:

 expended.png 

3. State expended on hover the collapsed sidebar:

 expended_on_hover.png 

In this way, users will always have access to the sidebar content.

#51 - 2019-09-17 06:00 - Anonymous

- File collapsible-sidebar-with-expand-on-hover-18474.patch added

This is really good, couldn't apply on latest revision, but I added a 18474 compatible version. I think however the bar should not be visible on the right

side when collapsed, but I get the idea with a roll over state...

I think keeping it simple would be the best for the start, hence simple collapsing state. And then I think introducing a second button which could

perhaps undock it entirely and turn it to the fly-out menu instead, and the other way around, I think Bernhard proposed something like that before.

#52 - 2019-09-17 12:08 - Dmitry Makurin 

On issue edit page contextual link to add watchers still shown even though sidebar is collapsed.

 gHjTAGW.png 

#53 - 2019-11-27 18:10 - Marius BĂLTEANU

- Related to Feature #32520: Issues activity gnats calendar tabs - too much real estate in high hand panel added

#54 - 2020-01-03 15:25 - César Celis

Keita K wrote:

※Comment for the first time. I'm studying English. So please be patient if I make some mistakes.

A) Users who want to hide sidebar.

The main content area can be expanded.

B) Users who don't want to hide sidebar.

They have no negative effect. Because it is the same as before.
C = A & B) Users who want to show or hide the sidebar, It's me!

The sidebar content may not need to be always visible, but may need to be always visible.

I hope it to be able to choose either, depending on the situation.

I believe that collapsible sidebar is choosable for user.

Thank you for Redmine.

 Agree with this approach.

ccelis

#55 - 2020-05-24 12:01 - Jeremy B.

After years of lurking and learning, I created an account solely to comment on this issue.

My ten cents: this is a critical usability issue for anyone that actually wants to use their full screen.  One of the best parts of Redmine for me is the

ability to add issue fields and then create custom filters/sorts.  Unfortunately, the fact that a full 25% of the screen is useless -- thank you, fixed

sidebar! -- means that issue lists have a functional column limit.

I appreciate Jean-Phillipe's concern about the "awkwardness" of this solution, but given that the problem was solved for him 3 years ago, and given

that in the intervening three years no other less awkward solution has magically come to life, it seems clear that we are cutting off our collective nose

to spite our face.  Can we use this as a first step?

tl/dr; this feature would be a huge usability improvement.  I'd prefer awkward and functional over purist and incomplete.  Can we get this request

implemented?  Pretty please?

#56 - 2020-12-29 02:24 - Eugen  Morjolic

+1

#57 - 2021-06-07 00:27 - Alexandr Chernyaev

+1

#58 - 2022-01-21 16:19 - Scott P

+1

I've now joined just to comment on this as well.

Until this is added, when I need to use redmine where I am sharing my screen and need people to see the agile board in a usable way on my screen

size (1920x1080), I use my browser's console window to hide the sidebar.

document.getElementById("sidebar").style.display="none";

or, document.getElementById("sidebar").style.marginRight="-280px";

After you can simply refresh the page to remove the style change.

This is silly to have to do with so much history and planning around this issue, but I thought this might be worth a post for others that are desperate to

hide the panel sometimes.

#59 - 2022-03-22 08:23 - Marian Liviriniu

- File 1. pinned.PNG added

- File 2. collapsed.PNG added

- File 3. hovered over.png added

- File collapsible-sidebar-with-expand-on-hover-for_Redmine_4_2_1.patch added

Anonymous wrote:

This is really good, couldn't apply on latest revision, but I added a 18474 compatible version. I think however the bar should not be visible on the

right side when collapsed, but I get the idea with a roll over state...

I think keeping it simple would be the best for the start, hence simple collapsing state. And then I think introducing a second button which could

perhaps undock it entirely and turn it to the fly-out menu instead, and the other way around, I think Bernhard proposed something like that

before.

 Thank you all for your help, this is a very helpful patch. We are using Redmine 4.2.1 so Anonymous's version did not work.

I don't know much about patching so this is what I could come up with. Besides making it work I also did some tweaking: eliminated the distance

between content and sidebar; added simple CSS animation. I tested the applying of the patch and at least for us here, it works (on Chrome and

Firefox bowsers, hehe).
I'm adding some print screens for anybody interested to see.

LE: I find this collapse addition really necessary with laptop/notebook sized screens.

#60 - 2024-10-01 19:41 - pasquale [:dedalus]

Why not release this feature in Redmine 6.0?

#61 - 2024-10-22 14:33 - Jaume Sabater

Please add this as a core feature of Redmine as soon as possible. It's been a missing feature for many years now.

#62 - 2024-10-22 18:22 - Marius BĂLTEANU

- Target version changed from Candidate for next major release to 6.0.0

#63 - 2024-10-28 06:40 - Mizuki ISHIKAWA

- File collapsible-sidebar-with-expand-on-hover-for_r23166.patch added

#note-59 patch changed to work with latest Redmine.

#64 - 2024-11-07 00:20 - Marius BĂLTEANU

- File clipboard-202411070118-ecwf7.png added

- File clipboard-202411070118-ybb0t.png added

- File clipboard-202411070119-znrmc.png added

- Status changed from Needs feedback to Resolved

- Assignee set to Marius BĂLTEANU

Feature added, it will be available in 6.0.0.

Jens Krämer, Mizuki ISHIKAWA, thanks for your contributions, I've slightly changed the patches proposed by you in order to show the button inside

the sidebar and to simplify the CSS:

Expanded:

 clipboard-202411070118-ecwf7.png 

Hover:

 clipboard-202411070118-ybb0t.png 

Collapsed:

 clipboard-202411070119-znrmc.png 

#65 - 2024-11-09 02:50 - Go MAEDA

- Tracker changed from Patch to Feature

#66 - 2024-11-10 15:57 - Marius BĂLTEANU

- Status changed from Resolved to Closed

#67 - 2024-11-10 15:57 - Marius BĂLTEANU

- Resolution set to Fixed

Files

0001-Make-sidebar-collapsible.patch 6.16 KB 2016-01-23 Daniel Ritz

collapsible_sidebar.png 16.1 KB 2016-01-23 Daniel Ritz

Screen Shot 2016-01-29 at 00.20.06.png 78.7 KB 2016-01-28 Marius BĂLTEANU

0001-Make-sidebar-collapsible-r15348.patch 6.16 KB 2016-04-23 Daniel Ritz

0001-Make-sidebar-collapsible-r15746.patch 5.19 KB 2016-08-20 Daniel Ritz

0001-make-the-sidebar-collapsible-with-per-page-state.patch 5.55 KB 2016-09-01 Jens Krämer

before.png 94.2 KB 2016-09-07 Marius BĂLTEANU

after.png 96.9 KB 2016-09-07 Marius BĂLTEANU

0001-make-the-sidebar-collapsible-with-per-page-state.patch 6.71 KB 2016-10-11 Jens Krämer

0001-Collapsible-sidebar-with-expand-on-hover.patch 6.28 KB 2019-09-09 Marius BĂLTEANU
expended_on_hover.png 358 KB 2019-09-09 Marius BĂLTEANU

expended.png 451 KB 2019-09-09 Marius BĂLTEANU

collapsed.png 419 KB 2019-09-09 Marius BĂLTEANU

collapsible-sidebar-with-expand-on-hover-18474.patch 6.12 KB 2019-09-17 Anonymous

1. pinned.PNG 45.4 KB 2022-03-22 Marian Liviriniu

2. collapsed.PNG 37.6 KB 2022-03-22 Marian Liviriniu

3. hovered over.png 57.7 KB 2022-03-22 Marian Liviriniu

collapsible-sidebar-with-expand-on-hover-for_Redmine_4_2_1.patch 5.68 KB 2022-03-22 Marian Liviriniu

collapsible-sidebar-with-expand-on-hover-for_r23166.patch 6.73 KB 2024-10-28 Mizuki ISHIKAWA

clipboard-202411070118-ecwf7.png 58.8 KB 2024-11-06 Marius BĂLTEANU

clipboard-202411070118-ybb0t.png 58.7 KB 2024-11-06 Marius BĂLTEANU

clipboard-202411070119-znrmc.png 19.2 KB 2024-11-06 Marius BĂLTEANU
